2017-09-25 18:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001436Kali Linux[All Projects] Tool Upgradepublic2016-10-07 08:25
ReporterCTruncer 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version1.0.7 
Target VersionFixed in Version2017.1 
Summary0001436: Upgrade EyeWitness in Kali Repos (Please) :)
DescriptionEyewitness has had a lot of major updates in features and stability. It should be good to add the latest version of EyeWitness in Kali's repos. I think it would (hopefully) be worthwhile to add the latest version in.

In a few months I will have a ruby version available which I believe will be slightly better, but I like giving the user the choice to choose between using either method. Again, that won't be until a month or so from now.
Additional InformationThe ghost library that EyeWitness uses is slightly modified now (by myself). It's within the setup script, but also available here - https://github.com/ChrisTruncer/Ghost.py

If you have any questions about it, just let me know.

Thanks for the help!
Attached Files

-Relationships
+Relationships

-Notes

~0002292

CTruncer (reporter)

The ruby version of EyeWitness was just released, so it could (ideally) be included with the EyeWitness package. Also, the setup script was updated to include the necessary ruby gems.

~0002293

muts (administrator)

Last edited: 2014-07-13 19:35

View 2 revisions

Thanks for the update. Any update script that changes files outside of a debian packaging system is a huge no-no for us, and makes integrating this into a package much more difficult. It might take a while for us to sift through the code and disable this feature.

~0002296

CTruncer (reporter)

Is there a different way this could be packaged on my end to make it easier? The reason for the setup script is that it does require a few libraries/gems which weren't installed by default with Kali.

I saw you had asked about submitting the Ghost updates upstream to the maintainer. I have not done that as I don't believe it would provide significant value. The modifications were specific to allow EyeWitness to recognize when a website presented an invalid SSL cert. This is through making ghost generate a log, but then continue viewing the web page with the invalid cert. Additionally, I had to make a few changes to how xvfb is used within Ghost. While both changes are needed to best use EyeWitness, I don't necessarily believe they would work best for the typical use case of the library.

If that causes an issue, and you guys aren't able to include it, no worries. Users can still clone the repo to themselves locally if they want it. If there's some modifications I could make that would make life easier for you guys, don't hesitate to let me know. I'd be happy to look into the modifications that would help you all out.

~0002297

muts (administrator)

Last edited: 2014-07-13 20:36

View 2 revisions

ideally, you could tell us what pre-requisite gems are needed, and we would package them properly for Kali, thus being able to add them as proper, managed dependencies to the package.

~0006037

sbrun (manager)

Updated to new version 2.2-0kali1
+Notes

-Issue History
Date Modified Username Field Change
2014-06-25 20:09 CTruncer New Issue
2014-06-29 19:52 vichet Issue cloned: 0001452
2014-07-13 19:27 CTruncer Note Added: 0002292
2014-07-13 19:30 muts Note Added: 0002293
2014-07-13 19:35 muts Note Edited: 0002293 View Revisions
2014-07-13 20:00 CTruncer Note Added: 0002296
2014-07-13 20:35 muts Note Added: 0002297
2014-07-13 20:36 muts Note Edited: 0002297 View Revisions
2016-10-07 08:25 sbrun Note Added: 0006037
2016-10-07 08:25 sbrun Status new => resolved
2016-10-07 08:25 sbrun Resolution open => fixed
2016-10-07 08:25 sbrun Fixed in Version => 2017.1
+Issue History